<template>
  <div class="register-con">
      <navs :message="titles" :rightText="loginTxt" @rights="toRegister"></navs>
      <div class="register-spe">
        <inputs :iTitle="iTitle" :iType="iType" :imgSrc="iptSrc"  ref="oPwd"></inputs>
      </div>
      <div class="register-spe">
        <inputs :iTitle="iTitle1" :iType="iType" :imgSrc="iptSrc"  ref="nPwd"></inputs>
      </div>

      <div class="button-txt">
        <buttons :buttonText="btnText" @clickButton="setNow"></buttons>
      </div>

  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import inputs from '../components/inputs.vue';
  import buttons from '../components/buttons.vue';
  import mains from '../utils/main.js';
  import M from '../utils/api.js';
export default {
  name: 'register',
  data () {
    return {
      titles: 'HELLO,密码设置',
      bgColor:"#FFF",
      loginTxt:"密码登录",
      iTitle:"原密码",
      iTitle1:"新密码",
      iType:"password",


      iNum:"tel",

      isSend:true,
      btnText:"重设密码",
      isDisable:true,
      iptSrc:require("../assets/del_gray.png"),
      checkedBox:require("../assets/checked.png")
    }
  },

  methods:{

    pwdImg(){
        this.iPwd=this.password=="text" ? "password" :"text";
    },


    setNow(){
      let para={
        oldPassword:this.$refs["oPwd"].inputModel,
        newPassword:this.$refs["nPwd"].inputModel
      },vm=this;
      M.setPassword(function(data){
        vm.$router.push({path:"/pwdLogin"})
      },para,function(err){
          console.log(err)
      })
    },
    toRegister(){
        this.$router.push("/pwdLogin")
    }
  },

  components:{
    navs,
    inputs,
    buttons
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/register.css";
</style>
